<!DOCTYPE html>
<html>
<head>
    <title> 07 API sample cho Pizza 365 Project</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
</head>


<!-- file html dùng để thử tác động của javascript vào các thành phần trang web-->
<script>
const gREQUEST_STATUS_OK = 200; // GET & PUT success
const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;

//check mã giảm giá
function onBtnCheckVoucherClick(){
    "use strict";
    const vBASE_URL =  "http://203.171.20.210:8080/devcamp-pizza365/voucher_detail/";
    var vVoucherId = "12332";  //một số mã đúng để test: 95531, 81432,...lưu ý test cả mã sai
    // nếu mã giảm giấ đã nhập, tạo vXmlHttp request và gửi về server
    var vXmlHttp = new XMLHttpRequest();
    vXmlHttp.open( "GET",  vBASE_URL + vVoucherId, false);
    vXmlHttp.send();
    if(vXmlHttp.status == gREQUEST_STATUS_OK) { // restFullAPI successful
        // nhận lại response dạng JSON ở vXmlHttp.responseText và chuyển thành object
        console.log(vXmlHttp.responseText);          
    } 
    else {
        // không nhận lại được data do vấn đề gì đó: khả năng mã voucher ko dúng
        console.log("Không tìm thấy voucher " + vXmlHttp.responseText);
    }
}

//mã nguồn để load data drink list (danh sách loại nước uống) về
function onBtnGetDrinkListClick() {
    "use strict";
    var vBASE_URL ="http://203.171.20.210:8080/devcamp-pizza365/drinks";
    var vXhttp = new XMLHttpRequest();
    vXhttp.open("GET", vBASE_URL, true);
    vXhttp.send();
    vXhttp.onreadystatechange = function() {
        if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
          console.log(vXhttp.responseText); //ghi response text ra console.log
        }
    };
}
</script>

<body>
    <div class="container-fluid mt-4">
        <p id = "cmt2dev">Test Page for Javascrip Tasks. F5 to run code. </p> 
        <form id ="singleForm">
        <button type="button" class="btn btn-primary" onclick="onBtnCheckVoucherClick()"><i class="fas fa-search">&nbsp;</i>Call api Check Voucher</button>
        <button type="button" class="btn btn-primary" onclick="onBtnGetDrinkListClick()"><i class="fas fa-search">&nbsp;</i>Call api Get Drink list!</button>
        </form>
        <p id="testP"  style="font-size:larger;"> Demo 02 API for Pizza 365 Project: </p>
            <ul>
                <li>check voucher by ID: check thông tin mã giảm giá, quan trọng là có hay không, và % giảm giá </li>
                <li>get drink list: lấy danh sách đồ uống</li>
            </ul>
        <strong style = "color:red"> Bật console log để nhìn rõ output </strong>
    </div> 
</body> 
</html>